:root {
--accent-color: <?php echo esc_html(get_theme_mod('accent-color', '#4d5ce5')); ?>;
--accent-color-hover: <?php echo esc_html(get_theme_mod('accent-color-hover', '#142349')); ?>;
--global-txt-color: <?php echo esc_html(get_theme_mod('global-txt-color', '#142349')); ?>;

--button-txt-color: <?php echo esc_html(get_theme_mod('button-txt-color', '#ffffff')); ?>;
--button-txt-color-hover: <?php echo esc_html(get_theme_mod('button-txt-color-hover', '#ffffff')); ?>;
--button-bg-color: <?php echo esc_html(get_theme_mod('button-bg-color', '#4d5ce5')); ?>;
--button-bg-color-hover: <?php echo esc_html(get_theme_mod('button-bg-color-hover', '#3353ae')); ?>;

--header-menu-txt-color-first: <?php echo esc_html(get_theme_mod('header-menu-txt-color-first', '#142349')); ?>;
--header-menu-txt-color-second: <?php echo esc_html(get_theme_mod('header-menu-txt-color-second', '#ffffff')); ?>;
--header-menu-txt-color-inner: <?php echo esc_html(get_theme_mod('header-menu-txt-color-inner', '#142349')); ?>;

--header-menu-sticky-bg-color-first: <?php echo esc_html(get_theme_mod('header-menu-sticky-bg-color-first', '#ffffff')); ?>;
--header-menu-sticky-bg-color-second: <?php echo esc_html(get_theme_mod('header-menu-sticky-bg-color-second', '#000000')); ?>;
--header-menu-sticky-bg-color-inner: <?php echo esc_html(get_theme_mod('header-menu-sticky-bg-color-inner', '#ffffff')); ?>;

--header-cta-txt-color: <?php echo esc_html(get_theme_mod('header-cta-txt-color', '#ffffff')); ?>;
--header-cta-txt-color-hover: <?php echo esc_html(get_theme_mod('header-cta-txt-color-hover', '#ffffff')); ?>;
--header-cta-bg-color: <?php echo esc_html(get_theme_mod('header-cta-bg-color', '#4d5ce5')); ?>;
--header-cta-bg-color-hover: <?php echo esc_html(get_theme_mod('header-cta-bg-color-hover', '#3353ae')); ?>;

--header-title-txt-color: <?php echo esc_html(get_theme_mod('header-title-txt-color', '#ffffff')); ?>;
--header-bg-overlay-color: <?php echo esc_html(get_theme_mod('header-bg-overlay-color', '#142349')); ?>;
--logo-height: <?php echo esc_html(get_theme_mod('logo-height', '40')) . 'px'; ?>;

--footer-txt-color: <?php echo esc_html(get_theme_mod('footer-txt-color', '#142349')); ?>;
--footer-bg-color: <?php echo esc_html(get_theme_mod('footer-bg-color', '#ecf2fe')); ?>;
}